For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
      • POSTCreate a tier group
      • GETList tier groups
      • PUTUpdate tier group
      • DELDelete tier group
      • GETGet tier group
      • GETList tiers
      • POSTCreate a tier
      • DELDelete tier
      • PUTUpdate tier
      • POSTAssign a tier
LogoLogo
Help CenterAPI KeysStatusSign In
LoyaltyTier

Assign a tier

POST
https://api.brevo.com/v3/loyalty/tier/programs/:pid/contacts/:cid/tiers/:tid
POST
/v3/loyalty/tier/programs/:pid/contacts/:cid/tiers/:tid
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.tier.addSubscriptionToTier("pid", "cid", "tid");
8}
9main();
1{
2 "contactId": 1,
3 "createdAt": "2024-01-15T09:30:00Z",
4 "groupId": "string",
5 "id": "string",
6 "loyaltyProgramId": "string",
7 "meta": {},
8 "updatedAt": "2024-01-15T09:30:00Z"
9}
Manually assigns a tier to a specific membership.
Was this page helpful?
Previous

Changelog

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

pidstringRequiredformat: "uuid"
Loyalty Program ID
cidstringRequiredformat: "uuid"
Contact ID
tidstringRequiredformat: "uuid"
Tier ID

Response

Tier successfully assigned to membership
contactIdinteger
Contact to which the tier is assigned
createdAtdatetime
groupIdstringformat: "uuid"
Group Id to which the tier is associated
idstringformat: "uuid"
Unique identifier for the assigned tier
loyaltyProgramIdstringformat: "uuid"
Associated loyalty program Id
metamap from strings to any
object
updatedAtdatetime

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
424
Failed Dependency Error
500
Internal Server Error